.search {
  top: 100%;
  left: calc(var(--taskbar-left) + 20px);
  position: absolute;
  height: 40%;
  aspect-ratio: 7 / 10;
  background-color: var(--colors-first-background);
  transition: transform 200ms ease;
  z-index: 7;
  overflow-y: scroll;
  overflow-x: hidden;

  &.show {
    transform: translateY(calc(-100% - 60px));
  }

  .title {
    margin-top: 5px;
    padding-bottom: 5px;
    display: block;
    width: 100%;
    text-align: center;
    color: var(--colors-text);
    font-size: 20px;
  }

  input {
    margin-top: 2px;
    width: 100%;
    background: none;
    transition: 200ms ease;
    color: var(--colors-text);
    border: 2px solid transparent;
    border-top-color: var(--colors-second-background);
    border-radius: 2px;

    &:focus {
      outline: none;
      border-color: var(--colors-primary);
    }
  }

  .program {
    margin: 3px auto;
    width: 95%;
    height: 30px;
    position: relative;
    user-select: none;
    transition: background-color 100ms ease;

    .info {
      height: 100%;
      width: max-content;

      img {
        height: 100%;
        width: auto;
        margin-right: 5px;
      }

      span {
        color: var(--colors-text);
        height: 100%;
        line-height: 100%;
      }

      &:hover {
        cursor: pointer;
      }
    }

    .action-buttons {
      position: absolute;
      height: 100%;
      width: max-content;
      top: 0;
      left: 100%;
      transform: translateX(-110%);

      button {
        height: 100%;
        width: auto;
        aspect-ratio: 1/1;
        color: var(--colors-text);

        mat-icon {
          width: 100%;
          height: 100%;
          line-height: 100%;
          text-align: center;
        }
      }
    }
  }
}
